<!DOCTYPE html>
<html>
    <head>
        <title>TRANG QUẢN TRỊ</title>
        <meta charset="utf-8"/>
        <link rel="stylesheet" type="text/css" href="/bootstrap/css/bootstrap-theme.css">
        <link rel="stylesheet" type="text/css" href="/bootstrap/css/bootstrap.css">
        <link rel="stylesheet" type="text/css" href="/icons/css/font-awesome.css">
        <link rel="stylesheet" type="text/css" href="/css/management.css"> 
        <link rel="stylesheet" type="text/css" href="/sweetalert/sweetalert2.min.css"> 
        <script type="text/javascript" src="/js/jquery.min.js"></script>
        <script type="text/javascript" src="/bootstrap/js/bootstrap.js"></script>
        <script type="text/javascript" src="/js/axios.min.js"></script>
        <script type="text/javascript" src="/sweetalert/sweetalert2.min.js"></script>
        <script type="text/javascript" src="/js/DataAPI/allData.js"></script>
    </head>
    <body style="background-color: #F9F9F9">
        <div class="container">
             <%- include('includes/nav-admin') %> 
        <div>
        <ul class="nav nav-tabs">
            <li class="active"><a data-toggle="tab" href="#formChiTietTour">Chi tiết Tour</a></li>
            <li><a data-toggle="tab" href="#formLichTrinh">Lịch trình</a></li>
            <li><a data-toggle="tab" href="#formDichVu">Dịch vụ</a></li>
            <li><a data-toggle="tab" href="#formDoiTac">Đối tác</a></li>
            <li><a data-toggle="tab" href="#formDieuKhoan">Điều khoản</a></li>
            <li><a data-toggle="tab" href="#formKhuyenMai">Khuyến mại</a></li>
            <button type="button" class="btn btn-primary clear-fix" id="btnQuayLai" style="float: right; margin-left: 1%; margin-bottom: 2%;">Quay Lại</button>
        </ul>
        <div class="tab-content">         
            <div id="formChiTietTour" class="wrap-fieldset tab-pane fade in active">
                <form method="POST" id="myFormChiTietTour" action="<%- localhost %>/api/tours/update" enctype="multipart/form-data">
                <fieldset>    	
                    <legend>Chi tiết TOUR</legend>                       
                    <div class="panel panel-default">
                        <div class="panel-body">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-inline">
                                        <label for="maTour">Mã TOUR:</label>
                                        <span id="maTour">TO671</span>
                                        <input type="text" style="display: none" name="maTour" value="" id="maTourHide1"/>
                                        <input type="text" style="display: none" name="LoaiForm" value="ChiTietTour"/>
                                        <label style="margin-left: 5%;" for="giaTour">Giá TOUR:</label>
                                        <input style="width: 58.5%; color: red;" type="text" name="giaTour" class="form-control" id="giaTour" />
                                    </div>
                                    <div class="form-group">
                                        <label for="tenTour">Tên TOUR:</label>
                                        <input type="text" class="form-control" name="tenTour" id="tenTour">
                                    </div>
                                    <div class="form-group">
                                        <label for="thoiGian">Thời gian:</label>
                                        <input type="text" class="form-control" name="thoiGian" id="thoiGian">
                                    </div>
                                    <div class="form-group">
                                        <label for="gioiThieu">Giới thiệu:</label>
                                        <input type="text" class="form-control" name="gioiThieu" id="gioiThieu">
                                    </div>
                                    <fieldset>
                                        <legend>Phương tiện: </legend>
                                        <div class="panel panel-default">
                                            <div class="panel-body">
                                                <label class="checkbox-inline"><input class="phuongTien" name="phuongTien" id="PLANE" type="checkbox" value="PLANE">Máy Bay</label>
                                                <label class="checkbox-inline"><input class="phuongTien" name="phuongTien" id="BUS" type="checkbox" value="BUS">Ô tô</label>
                                                <label class="checkbox-inline"><input class="phuongTien" name="phuongTien" id="SHIP" type="checkbox" value="SHIP">Tàu</label>
                                            </div>
                                        </div>
                                        <span style="display: block; visibility: hidden;" class="errMessage" id="errPhuongTien" >Bạn chưa chọn phương tiện</span>
                                    </fieldset>                                 
                                </div> 
                                <div class="col-md-6">
                                    <div class="form-inline">
                                        <label for="diaDiem">Địa điểm: </label>
                                        <select class="form-control" id="diaDiem" name="diaDiem">
                                            <option selected="selected">Hà Nội</option>
                                            <!-- <option>Nam Định</option>
                                            <option>Hà Nội</option>
                                            <option>Tp. Hồ Chí Minh</option> -->
                                        </select>
                                        <span style="display: block; visibility:hidden;" class="errMessage" id="errDiaDiem">Bạn chưa chọn địa điểm</span> 
                                    </div>      
                                    <div class="anh-tour">
                                            <img height="285px" id="anhTour" src="" />     
                                    </div>     
                                    <label for="anhTourInput" class="custom-file-upload">
                                        <i class="fa fa-upload" aria-hidden="true"></i> Chọn ảnh Tour
                                    </label>
                                    <input id="anhTourInput" onchange="handleUploadAnh('anhTourInput', 'anhTourSpan', 'anhTour')" name="anhTourInput" type="file"/><span id="anhTourSpan"></span>                             
                                    <span style="display: block; visibility: hidden" class="errMessage" id="errAnhTour">Ảnh Tour không được bỏ trống</span>
                                </div>
                            </div>
                        </div>
                        <button type="button" class="btn btn-primary" id="btnChiTietTour" style="margin-left: 1.5%; margin-bottom: 2%;">Thay Đổi</button> 
                        <button type="button" class="btn btn-danger btnReset" style="margin-left: 1%; margin-bottom: 2%;">Thử Lại</button> 
                    </div>      
                </fieldset>	
                </form>
            </div>
            
            
            <div id="formLichTrinh" class="wrap-fieldset tab-pane fade">
                <form method="POST" action="<%- localhost %>/api/tours/update" id="myFormLichTrinh" enctype="multipart/form-data">
                <fieldset>    	
                        <legend>Lịch trình</legend>                  
                        <div class="panel panel-default">
                            <div class="panel-body" id="lichTrinhNgay">
                                <div style="margin-left: 1%; margin-bottom: 3%;" class="form-inline">
                                    <label for="soNgay">Số ngày:</label>
                                    <input style="width: 10%" min="0" type="number" class="form-control" id="soNgay">
                                    <input type="button" id="btnCapNhat" class="btn btn-default" onclick="handleShowLichTrinh('soNgay', 'placeOfDisplay')" value="Cập nhật"/>
                                    <input type="text" style="display: none" name="maTour" value="" id="maTourHide2"/>
                                    <input type="text" style="display: none" name="LoaiForm" value="LichTrinh"/>
                                    <span style="display: block; visibility:hidden" class="errMessage" id="errSoNgay">Tour chưa có lịch trình !?</span>                                     
                                </div>
                                <div id="placeOfDisplay">
                                    <!-- HERE -->
                                </div>
                            </div>
                            <button type="button" id="btnLichTrinh" class="btn btn-primary" style="margin-left: 1.5%; margin-bottom: 2%;">Thay Đổi</button> 
                            <button type="button" class="btn btn-danger btnReset" style="margin-left: 1%; margin-bottom: 2%;">Thử Lại</button>
                        </div>      
                </fieldset>	  
                </form>     
            </div>
             
            
            <div id="formDichVu" class="wrap-fieldset tab-pane fade">
                <form id="myFormDichVu" action="<%- localhost %>/api/tours/update" method="POST" enctype="multipart/form-data">
                <fieldset>    	
                        <legend>Dịch vụ</legend>                  
                        <div class="panel panel-default">
                            <div class="panel-body">
                                <div class="row">
                                    <div class="col-md-12">
                                        <input type="text" style="display: none" name="maTour" value="" id="maTourHide3"/>
                                        <input type="text" style="display: none" name="LoaiForm" value="DichVu"/>
                                        <div class="checkbox">
                                            <label><input type="checkbox" class="dichVu" name="dichVu" id="BH" value="BH">Bảo hiểm</label>
                                        </div>
                                        <div class="checkbox">
                                            <label><input type="checkbox" class="dichVu" name="dichVu" id="GUIDER" value="GUIDER">Hướng dẫn viên</label>
                                        </div>
                                        <div class="checkbox ">
                                            <label><input type="checkbox" class="dichVu" name="dichVu" id="FOOD" value="FOOD">Bữa ăn</label>
                                        </div>  
                                        <div class="checkbox ">
                                            <label><input type="checkbox" class="dichVu" name="dichVu" id="TICKET" value="TICKET">Vé tham quan</label>
                                        </div>   
                                        <div class="checkbox ">
                                            <label><input type="checkbox" class="dichVu" name="dichVu" id="VEHICLE" value="VEHICLE">Xe đưa đón</label>
                                        </div>                            
                                    </div> 
                                </div>                           
                            </div>
                            <button type="button" class="btn btn-primary" id="btnDichVu" style="margin-left: 1.5%; margin-bottom: 2%;">Thay Đổi</button> 
                            <button type="button" class="btn btn-danger btnReset" style="margin-left: 1%; margin-bottom: 2%;">Thử Lại</button>
                        </div>   
                        <span style="display: block; visibility: hidden;" class="errMessage" id="errDichVu" >Bạn chưa chọn dịch vụ</span>   
                </fieldset>	    
                </form>  
            </div>  
            
            <div id="formDoiTac" class="wrap-fieldset tab-pane fade">
                <form id="myFormDoiTac" action="<%- localhost %>/api/tours/update" method="POST" enctype="multipart/form-data">
                <fieldset>    	
                        <legend>Đối tác</legend>                  
                        <div class="panel panel-default">
                            <div class="panel-body">
                                <div class="form-inline">
                                    <input type="text" style="display: none" name="maTour" value="" id="maTourHide4"/>
                                    <input type="text" style="display: none" name="LoaiForm" value="DoiTac"/>
                                    <label for="tenDoiTac">Mã đối tác:</label>
                                    <input disabled style="width: 10%;" type="text" class="form-control" name="maDoiTac" id="maDoiTac">
                                    <input style="display: none" style="width: 10%;" type="text" class="form-control" name="maDoiTac" id="maDoiTacHide">
                                </div>
                                <div class="form-group">
                                    <label for="tenDoiTac">Tên đối tác:</label>
                                    <input onchange="replaceSingleQuote(this)" type="text" class="form-control" name="tenDoiTac" id="tenDoiTac">
                                </div>
                                <div class="form-group">
                                    <label for="diachiDoiTac">Địa chỉ:</label>
                                    <input onchange="replaceSingleQuote(this)" type="text" class="form-control" name="diachiDoiTac" id="diachiDoiTac">
                                </div>                         
                            </div>
                            <button type="button" class="btn btn-primary" id="btnDoiTac" style="margin-left: 1.5%; margin-bottom: 2%;">Thay Đổi</button> 
                            <button type="button" class="btn btn-danger btnReset" style="margin-left: 1%; margin-bottom: 2%;">Thử Lại</button>
                        </div>      
                </fieldset>	   
                </form>        
            </div>
             
            
            <div id="formDieuKhoan" class="wrap-fieldset tab-pane fade">
                <form id="myFormDieuKhoan" action="<%- localhost %>/api/tours/update" method="POST" enctype="multipart/form-data">
                <fieldset>    	
                        <legend>Điều khoản</legend>                  
                        <div class="panel panel-default">
                            <div class="panel-body">
                                <div class="form-inline">
                                    <label for="maDK">Mã điều khoản:</label>
                                    <input disabled style="width: 10%;" type="text" class="form-control" name="maDK" id="maDK">
                                    <input style="width: 10%; display: none" type="text" class="form-control" name="maDK" id="maDKHide">
                                    <input type="text" style="display: none" name="maTour" value="" id="maTourHide5"/>
                                    <input type="text" style="display: none" name="LoaiForm" value="DieuKhoan"/>
                                </div>
                                <div class="form-group">
                                    <label for="vanChuyenDK">Vận chuyển:</label>
                                    <textarea type="text" class="form-control" name="vanChuyenDK" id="vanChuyenDK"></textarea>
                                </div>
                                <div class="form-group">
                                    <label for="luuTruDK">Lưu trữ:</label>
                                    <textarea type="text" class="form-control" name="luuTruDK" id="luuTruDK"></textarea>
                                </div> 
                                <div class="form-group">
                                    <label for="khacDK">Khác:</label>
                                    <textarea type="text" class="form-control" name="khacDK" id="khacDK"></textarea>
                                </div>                            
                            </div>
                            <button type="button" class="btn btn-primary" id="btnDieuKhoan" style="margin-left: 1.5%; margin-bottom: 2%;">Thay Đổi</button> 
                            <button type="button" class="btn btn-danger btnReset" style="margin-left: 1%; margin-bottom: 2%;">Thử Lại</button>
                        </div>      
                </fieldset>	    
                </form>      
            </div>

            <div id="formKhuyenMai" class="wrap-fieldset tab-pane fade">
                <form id="myFormKhuyenMai" action="<%- localhost %>/api/tours/update" method="POST" enctype="multipart/form-data">
                <fieldset>    	
                        <legend>Khuyến mại</legend>                  
                        <div class="panel panel-default">
                            <div class="panel-body">
                                <div class="form-inline">
                                    <label for="maDK">Mã khuyến mại:</label>
                                    <input disabled style="width: 10%;" type="text" class="form-control" name="maKM" id="maKM">
                                    <input style="width: 10%; display: none" type="text" class="form-control" name="maKM" id="maKMHide">
                                    <input type="text" style="display: none" name="maTour" value="" id="maTourHide6"/>
                                    <input type="text" style="display: none" name="LoaiForm" value="KhuyenMai"/>
                                </div>
                                <div class="form-group">
                                    <label for="vanChuyenDK">Thông tin khuyến mại:</label>
                                    <textarea type="text" class="form-control" name="thongtinKM" id="thongtinKM"></textarea>
                                </div>
                                <div class="checkbox">
                                    <label><input type="checkbox" class="deal" id="Deal" value="true">Deal giá</label>
                                    <input type="text" style="display: none" name="deal" id="DealHide"/>
                                </div>
                                <div class="checkbox">
                                    <label><input type="checkbox" class="km" id="KM" value="true">Khuyến mại</label>
                                    <input type="text" style="display: none" name="km" id="KMHide"/>
                                </div>                        
                            </div>
                            <button type="button" class="btn btn-primary" id="btnKhuyenMai" style="margin-left: 1.5%; margin-bottom: 2%;">Thay Đổi</button> 
                            <button type="button" class="btn btn-danger btnReset" style="margin-left: 1%; margin-bottom: 2%;">Thử Lại</button>
                        </div>      
                </fieldset>	    
                </form>      
            </div>

                    
        </div>
        <script type="text/javascript" src="/js/DataAPI/dataChiTietTour.js"></script>
    </body>
</html>